- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fortios_vpn_certificate_crl – Certificate Revocation List as a PEM file in Fortinet’s FortiOS and FortiGate

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify vpn_certificate feature and crl category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.
https boolean | Choices: no yes ← | Indicates if the requests towards FortiGate must use HTTPS protocol.
password string | Default: "" | FortiOS or FortiGate password.
ssl_verify boolean | Choices: no yes ← | Ensures FortiGate certificate must be verified by a proper CA.
state string / required | Choices: present absent | Indicates whether to create or remove the object.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.
vpn_certificate_crl dictionary | Default: null | Certificate Revocation List as a PEM file.
| crl string |  | Certificate Revocation List as a PEM file.
| http_url string |  | HTTP server URL for CRL auto-update.
| last_updated integer |  | Time at which CRL was last updated.
| ldap_password string |  | LDAP server user password.
| ldap_server string |  | LDAP server name for CRL auto-update.
| ldap_username string |  | LDAP server user name.
| name string / required |  | Name.
| range string | Choices: global vdom | Either global or VDOM IP address range for the certificate.
| scep_cert string |  | Local certificate for SCEP communication for CRL auto-update. Source vpn.certificate.local.name.
| scep_url string |  | SCEP server URL for CRL auto-update.
| source string | Choices: factory user bundle | Certificate source type.
| source_ip string |  | Source IP address for communications to a HTTP or SCEP CA server.
| update_interval integer |  | Time in seconds before the FortiGate checks for an updated CRL. Set to 0 to update only when it expires.
| update_vdom string |  | VDOM for CRL update. Source system.vdom.name.

## Notes

Note

- Requires fortiosapi library developed by Fortinet
- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Certificate Revocation List as a PEM file.
        fortios_vpn_certificate_crl:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          state: "present"
          vpn_certificate_crl:
            crl: "<your_own_value>"
            http_url: "<your_own_value>"
            last_updated: "5"
            ldap_password: "<your_own_value>"
            ldap_server: "<your_own_value>"
            ldap_username: "<your_own_value>"
            name: "default_name_9"
            range: "global"
            scep_cert: "<your_own_value> (source vpn.certificate.local.name)"
            scep_url: "<your_own_value>"
            source: "factory"
            source_ip: "84.230.14.43"
            update_interval: "15"
            update_vdom: "<your_own_value> (source system.vdom.name)"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)
- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.